Results 1 to 8 of 8

Thread: Wishlist: Compatibility with Nvidia

  1. #1
    Join Date
    Mar 2006
    Location
    Whitesburg, TN USA
    Beans
    44

    Wishlist: Compatibility with Nvidia

    GTS 360M
    GTX 580

    Neither of these cards (and perhaps others) can even boot the OS and instead leave you sitting at a screen filled with corrupted graphics. This issue has been around since 10.10 I think. You can use nomodeset to at least get into the OS and install the Nvidia drivers.

    Might be something someone with more knowledge than me would want to fix, as this issue can't be a small one. Seems like a simple flag or some such could be set to default to nomodeset when certain cards are detected.

    It's an odd issue as ever single PC I own has a different yet, still incompatible video card.

  2. #2
    Join Date
    Oct 2009
    Location
    Reykjavk, sland
    Beans
    9,953
    Distro
    Lubuntu 14.10 Utopic Unicorn

    Re: Compatibility with Nvidia

    This thread might offer some help:
    http://ubuntuforums.org/showthread.php?t=1743535
    About problems due to upgrading
    Bringing old hardware back to life.
    Please visit Quick Links -> Unanswered Posts

  3. #3
    Join Date
    Jun 2011
    Location
    The Shadow Gallery
    Beans
    6,807

    Re: Compatibility with Nvidia

    I use the GTX 580 and it works fine with propietary driver in Slackware, Ubuntu, Mint and Fedora. I have never had any major issues with it, I use it with 2 screens at 1920x1080. It may not work initial upon install but its easy enough to fix
    Feel Free to Bitcoin Tip: 135Rp4pwwYTHEJ4u8bxKaDQiC91N9LUoV2

    Backtrack - Giving machine guns to monkeys since 2006
    Kali-Linux - Adding a grenade launcher to the machine guns since 2013

  4. #4
    Join Date
    Mar 2006
    Location
    Whitesburg, TN USA
    Beans
    44

    Re: Compatibility with Nvidia

    You misunderstand. I can get the system to work fine, by using nomodeset. Then when I get into the OS I can install both the OS and the graphics drivers. The issue is that it's a simple issue to fix that can cause a lot of confusion for new users.

  5. #5
    Join Date
    Jun 2011
    Location
    The Shadow Gallery
    Beans
    6,807

    Re: Compatibility with Nvidia

    Quote Originally Posted by JetSirus View Post
    You misunderstand. I can get the system to work fine, by using nomodeset. Then when I get into the OS I can install both the OS and the graphics drivers. The issue is that it's a simple issue to fix that can cause a lot of confusion for new users.
    So you arent asking for support ?

    If you want a discussion ask the mod to put it in the cafe.
    Feel Free to Bitcoin Tip: 135Rp4pwwYTHEJ4u8bxKaDQiC91N9LUoV2

    Backtrack - Giving machine guns to monkeys since 2006
    Kali-Linux - Adding a grenade launcher to the machine guns since 2013

  6. #6
    Join Date
    Oct 2009
    Location
    Reykjavk, sland
    Beans
    9,953
    Distro
    Lubuntu 14.10 Utopic Unicorn

    Re: Compatibility with Nvidia

    All new ideas are welcome. Please take a look at
    http://brainstorm.ubuntu.com/

    If it's already there, you can vote for it, or post the idea if not.

    Moved to the cafe.
    About problems due to upgrading
    Bringing old hardware back to life.
    Please visit Quick Links -> Unanswered Posts

  7. #7
    Join Date
    Jun 2010
    Location
    London, England
    Beans
    7,498
    Distro
    Ubuntu Development Release

    Re: Wishlist: Compatibility with Nvidia

    The problem is not down to Ubuntu but to Nvidia not being open (as is their right) to the technical details of the hardware so that the X.Org foundation can develop the X-server to be more compatible with Nvidia hardware.

    It seems to me that a lot of people are doing the best that they can under difficult circumstances.

    Regards.
    It is a machine. It is more stupid than we are. It will not stop us from doing stupid things.
    Ubuntu user #33,200. Linux user #530,530


  8. #8
    Join Date
    Mar 2006
    Location
    Whitesburg, TN USA
    Beans
    44

    Re: Wishlist: Compatibility with Nvidia

    Quote Originally Posted by grahammechanical View Post
    The problem is not down to Ubuntu but to Nvidia not being open (as is their right) to the technical details of the hardware so that the X.Org foundation can develop the X-server to be more compatible with Nvidia hardware.

    It seems to me that a lot of people are doing the best that they can under difficult circumstances.

    Regards.
    Aha, but the issue is that Ubuntu and most all of its variants can boot these cards fine without closed source drivers. But for reasons I don't understand it does not work correctly. When you try to load Ubuntu on a system with these certain video cards I assume it tries to load some proprietary driver that always fails. The solution is to simply use whatever the default drivers are that load when nomodeset is flagged. Then the end user can use the OS as intended, and will have the option to install any closed source drivers they wish.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •